/*
* 
* Compile:  gcc -o XGetInputFocus -L/usr/X11R6/lib -lX11 XGetInputFocus.c
* 
* 
* Copyright (c) 2006, Alex Efros
* 
* This program is free software; you can redistribute it and/or modify 
* it under the terms of the GNU General Public License as published by 
* the Free Software Foundation; either version 2 of the License, or 
* (at your option) any later version. 
* 
* This program is distributed in the hope that it will be useful, 
* but WITHOUT ANY WARRANTY; without even the implied warranty of 
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
* GNU General Public License for more details. 
* 
* You should have received a copy of the GNU General Public License 
* along with this program; if not, write to the Free Software 
* Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. 
* 
*/ 

#include <X11/Xlib.h> 
#include <stdlib.h> 
#include <unistd.h> 
#include <stdio.h> 
#include <string.h> 


int main(int argc, char *argv[]) { 
    Display	*display; 
    Window	window;
    int		i; 

    if (!(display = XOpenDisplay(getenv("DISPLAY")))) { 
	fprintf(stderr, "%s: can't open display %s\n", 
	    argv[0], XDisplayName(getenv("DISPLAY")));
	exit(1); 
    } 

    XGetInputFocus(display,&window,&i);
    printf("0x%08x\n", window); 
    exit(0);
}

